Bug 605467 - [abrt] crash in denemo-0.8.4-3.fc12: ConvertLength: Process /usr/bin/denemo was killed by signal 8 (SIGFPE)
Summary: [abrt] crash in denemo-0.8.4-3.fc12: ConvertLength: Process /usr/bin/denemo w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: denemo
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Roy Rankin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5a1ce236eb5de4664e1f45dacad...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 02:36 UTC by Jason Elwell
Modified: 2010-08-31 06:37 UTC (History)
1 user (show)

Fixed In Version: denemo-0.8.18-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-31 06:37:10 UTC


Attachments (Terms of Use)
File: backtrace (25.32 KB, text/plain)
2010-06-18 02:36 UTC, Jason Elwell
no flags Details
lilypond file that Denemo dislikes (3.69 KB, text/x-lilypond)
2010-07-08 22:36 UTC, Jason Elwell
no flags Details

Description Jason Elwell 2010-06-18 02:36:22 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: denemo
comment: Sit in PJs in front of laptop.  Look at dog.  Check out hot blonde...blow up doll (Kidding!!)  Sorry where was I?  Oh, yeah..Just opened the file after firing up denemo.  Thats it.  Thanks for your help.  I <3 Linux.
component: denemo
crash_function: ConvertLength
executable: /usr/bin/denemo
global_uuid: 5a1ce236eb5de4664e1f45dacadd1826a2880252
kernel: 2.6.32.14-127.fc12.x86_64
package: denemo-0.8.4-3.fc12
rating: 4
reason: Process /usr/bin/denemo was killed by signal 8 (SIGFPE)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Opened midi file
2. Watch and cry
3.

Comment 1 Jason Elwell 2010-06-18 02:36:28 UTC
Created attachment 424995 [details]
File: backtrace

Comment 2 Roy Rankin 2010-06-19 00:22:21 UTC
Jason,

Would it be possible to attach a midi file which causes this problem to the bug report. I have tried it with a simple midi file I had without problems.

Regards,
Roy Rankin

Comment 3 Jason Elwell 2010-07-08 22:35:35 UTC
Sorry for the delay.  Moving and haven't been checking email regularly.  It was actually a lilypond file that crashed it.  It doesn't appear to matter which lilypond file I choose, it doesn't like it.  I choose .ly as the file extension, but sadness still occurs.  I have used lilypond to create a pdf with the file, so I know that lilypond thinks its syntactically ok.

Comment 4 Jason Elwell 2010-07-08 22:36:42 UTC
Created attachment 430494 [details]
lilypond file that Denemo dislikes

Comment 5 Roy Rankin 2010-07-13 05:14:34 UTC
Jason,

Denemo can only parse a subset of lilypond files. It should be able to read lilypond files it generates. This is not the case with your test file. I did try your file on 0.8.18. It gracefully did not read it (it gave a message box that the load failed).

The denemo in F-12 is 0.8.4. I have been asked to upgrade it to 0.8.18, which has much improved file importing, but has an issue where it hangs sometimes on startup. I hope I can get a stable enough version of denemo to upgrade it in F-12.

Comment 6 Jason Elwell 2010-07-17 19:31:45 UTC
Roy,

Thanks for your time looking at the problem.  Its a great piece of software.  Keep up the good work!!

Comment 7 Fedora Update System 2010-07-26 03:22:38 UTC
denemo-0.8.18-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/denemo-0.8.18-2.fc12

Comment 8 Fedora Update System 2010-07-27 02:35:41 UTC
denemo-0.8.18-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update denemo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/denemo-0.8.18-2.fc12

Comment 9 Fedora Update System 2010-08-31 06:37:01 UTC
denemo-0.8.18-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.